<?php
// +----------------------------------------------------------------------
// | onezan-admin 快速开发的管理平台
// +----------------------------------------------------------------------
// | 官方网址：https://www.onezan.cn
// +----------------------------------------------------------------------
// | onezan团队 版权所有 开源版本可自由商用
// +----------------------------------------------------------------------
// | Author: 543885307@qq.com
// +----------------------------------------------------------------------
use app\middleware\AdminPermission;
use think\facade\Route;

Route::get('sample/article/list', 'Applications\sample\adminapi\controller\article\Article@list')
    ->middleware(AdminPermission::class, 'article.view');
Route::get('sample/article/detail/:id', 'Applications\sample\adminapi\controller\article\Article@detail')
    ->middleware(AdminPermission::class, 'article.view');
Route::post('sample/article/save', 'Applications\sample\adminapi\controller\article\Article@save')
    ->middleware(AdminPermission::class, 'article.save');
Route::post('sample/article/delete', 'Applications\sample\adminapi\controller\article\Article@delete')
    ->middleware(AdminPermission::class, 'article.delete');
